Subject: Re: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2018 22:13:00 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Tue, 24 Jul 2018 15:04:56 -0400
> Cc: [email-masked]
> 
> Thanks. I was able to link gdb to the emacs process (Though, the only process containing "emacs" string was
> "emacs --daemon". I believe emacsclient launches that?

Yes.

> I tried minimizing/maximizing the emacs frame quite a few times, but still no luck making it crash. Very
> strange.

It probably means it's a Heisenbug: it's triggered by some specific
memory layout, and that changes under the debugger.

Are you still able to trigger the abort when running not under GDB?
If that's gone as well, try rebuilding Emacs by touching src/config.h
or somesuch, then try again.